<?php

use qcbase\assets\FrameAsset;
use yii\helpers\Html;
use yii\helpers\Url;


$js = <<<JS
        function showMsg(msg, type){
            var tipDiv = $("#tip-div");
            tipDiv.append('<p ' + ((type=='error') ? 'class="red"' : '') + ' >' + msg + '</p>');
            tipDiv.scrollTop(tipDiv[0].scrollHeight);
        }
        $("form").trigger('submit');
JS;

$this->registerJs($js, yii\web\View::POS_END);

?>

<div id="tip-div" class="tips">


</div>

<form action="<?= Url::to(['cache']) ?>" target="cache_frame" method="POST" >
      <input type="hidden" name="do_submit" value="1" />
      <input type="hidden" name="_csrf" value="<?= Yii::$app->request->getCsrfToken() ?>" />

</form>

<iframe name="cache_frame" style="display:none;" ></iframe>
